Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## alice.tuprolog
Class EngineManager

    java.lang.Object
      alice.tuprolog.EngineManager

All Implemented Interfaces:
  java.io.Serializable

public class EngineManager
extends java.lang.Object
implements java.io.Serializable

Author:
  Alex Benini Core engine
See Also:
  Serialized Form

Field Summary
`static int` | `FALSE`
`static int` | `HALT`
`static int` | `TRUE`
`static int` | `TRUE_CP`

Constructor Summary
`EngineManager()`

Method Summary
`SolveInfo` | `solve(Term query)` Solves a query
`void` | `solveEnd()` Accepts current solution
`void` | `solveHalt()` Halts current solve computation
`SolveInfo` | `solveNext()` Gets next solution

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HALT

    public static final int HALT

See Also:
  Constant Field Values

### FALSE

    public static final int FALSE

See Also:
  Constant Field Values

### TRUE

    public static final int TRUE

See Also:
  Constant Field Values

### TRUE_CP

    public static final int TRUE_CP

See Also:
  Constant Field Values

Constructor Detail

### EngineManager

    public EngineManager()

Method Detail

### solve

    public SolveInfo solve(Term query)

  Solves a query

  Returns:
    the result of the demonstration
  See Also:
    `SolveInfo`

### solveNext

    public SolveInfo solveNext()
                        throws NoMoreSolutionException

  Gets next solution

  Returns:
    the result of the demonstration
  Throws:
    `NoMoreSolutionException` - if no more solutions are present
  See Also:
    `SolveInfo`

### solveHalt

    public void solveHalt()

  Halts current solve computation

### solveEnd

    public void solveEnd()

  Accepts current solution

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD